package com.pcloud.book.group.mapper;

import com.pcloud.book.group.entity.WeworkTeacherBookBind;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Mapper
@Component
public interface WeworkTeacherBookBindMapper {
    int deleteByPrimaryKey(Long id);

    int insert(WeworkTeacherBookBind record);

    int insertSelective(WeworkTeacherBookBind record);

    WeworkTeacherBookBind selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(WeworkTeacherBookBind record);

    int updateByPrimaryKey(WeworkTeacherBookBind record);

    int insertOrUpdate(WeworkTeacherBookBind record);

    void deleteByBookId(Long bookId);

    int count4BookWxworkTeacherList(@Param("name") String name);

    List<WeworkTeacherBookBind> getBookWxworkTeacherList(@Param("name") String name, @Param("offset") int offset, @Param("limit") Integer limit);

    WeworkTeacherBookBind getByBookId(@Param("bookId") Long bookId);
}